v0.12.0
diff --git a/README.markdown b/README.markdown
index ca1c954..0a0d0cb 100644
--- a/README.markdown
+++ b/README.markdown
@@ -8,11 +8,11 @@
 
 To install you could use the [install script][2] using cURL:
 
-    curl https://raw.githubusercontent.com/creationix/nvm/v0.11.2/install.sh | bash
+    curl https://raw.githubusercontent.com/creationix/nvm/v0.12.0/install.sh | bash
 
 or Wget:
 
-    wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.11.2/install.sh | bash
+    wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.12.0/install.sh | bash
 
 <sub>The script clones the nvm repository to `~/.nvm` and adds the source line to your profile (`~/.bash_profile`, `~/.zshrc` or `~/.profile`).</sub>
 
@@ -163,7 +163,7 @@
     nvm install -s 0.8.6
 
 [1]: https://github.com/creationix/nvm.git
-[2]: https://github.com/creationix/nvm/blob/v0.11.2/install.sh
+[2]: https://github.com/creationix/nvm/blob/v0.12.0/install.sh
 [3]: https://travis-ci.org/creationix/nvm
 [Urchin]: https://github.com/scraperwiki/urchin
 
diff --git a/install.sh b/install.sh
index 610f409..6dc5aae 100755
--- a/install.sh
+++ b/install.sh
@@ -44,12 +44,12 @@
     mkdir -p "$NVM_DIR"
     git clone "$NVM_SOURCE" "$NVM_DIR"
   fi
-  cd $NVM_DIR && git checkout v0.11.2 && git branch -D master || true
+  cd $NVM_DIR && git checkout v0.12.0 && git branch -D master || true
 }
 
 install_nvm_as_script() {
   if [ -z "$NVM_SOURCE" ]; then
-    NVM_SOURCE="https://raw.githubusercontent.com/creationix/nvm/v0.11.2/nvm.sh"
+    NVM_SOURCE="https://raw.githubusercontent.com/creationix/nvm/v0.12.0/nvm.sh"
   fi
 
   # Downloading to $NVM_DIR
diff --git a/nvm.sh b/nvm.sh
index d0335e1..beb5153 100644
--- a/nvm.sh
+++ b/nvm.sh
@@ -723,7 +723,7 @@
       nvm_version $2
     ;;
     "--version" )
-      echo "0.11.2"
+      echo "0.12.0"
     ;;
     "unload" )
       unset -f nvm nvm_print_versions nvm_checksum nvm_ls_remote nvm_ls nvm_remote_version nvm_version nvm_rc_version > /dev/null 2>&1
diff --git a/package.json b/package.json
index 3954281..ff26518 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
   "name": "nvm",
-  "version": "0.11.2",
+  "version": "0.12.0",
   "description": "Node Version Manager - Simple bash script to manage multiple active node.js versions",
   "directories": {
     "test": "test"